# g'scheid schlau 2021
# Das Lange Wochenende der Wissenschaften online
# Raspberry Pi Pico-Workshop am 23. Oktober 2021
# https://www.oth-aw.de/schaefer-ulrich/pico/

from machine import Pin, I2C
from ssd1306 import SSD1306_I2C   # ssd1306
xmax = 64
ymax = 48
i2c=I2C(0, sda=Pin(0), scl= Pin(1), freq=400000)
oled = SSD1306_I2C(xmax, ymax, i2c) 

def ball(x, y, malen=1): # 1=malen, 2=loeschen
  oled.fill_rect(x, y, 2, 2, malen)
  oled.show()
  
def schlaeger(x, malen=1):
  oled.fill_rect(x, ymax-2, 6, 2, malen)
  oled.show()

ball(20,20)
schlaeger(30)

# hier selbst weiter programmieren ...